Bug 1313218 - Support proxies
Support proxies
Status: MODIFIED
Product: Container Development Kit (CDK)
Classification: Red Hat
Component: distribution (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: beta4
: 2.0
Assigned To: Lalatendu Mohanty
Ondřej Pták
Robert Krátký
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 03:33 EST by Eduardo Minguez
Modified: 2018-02-07 14:12 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduardo Minguez 2016-03-01 03:33:34 EST
Description of problem:
In an enterprise environment is typical to have a proxy that limits internet connection.
It would be nice to have a proper documentation and even include something like vagrant-proxyconf in the CDK.

Version-Release number of selected component (if applicable):
Any

How reproducible:
Try to get some docker image from outside the CDK with a proxy limiting internet connectivity.

Steps to Reproduce:
1.
2.
3.

Actual results:
It doesn't work

Expected results:
A proper documentation on how to configure proxy for internet connectivity

Additional info:
Comment 1 David Kutálek 2016-03-08 05:11:22 EST
This seems very important for me,
asking for blocker.

Looking into:
https://docs.docker.com/engine/admin/systemd/

It seems to me we would need to use both HTTP_PROXY and NO_PROXY settings
and user friendly way would be either configuration via Vagrantfile
or better via service-manager plugin.

I guess we do not want instruct users to edit systemd files...
Comment 4 Brian (bex) Exelbierd 2016-04-04 07:15:26 EDT
Cross filed: https://github.com/projectatomic/adb-atomic-developer-bundle/issues/315
Comment 11 Daniel Veillard 2016-06-09 10:10:18 EDT
Trello card for this, will go in next sprint:

https://trello.com/c/6eX7wraX/185-proxy-support-in-cdk

Daniel
Comment 12 Lalatendu Mohanty 2016-06-16 01:58:28 EDT
There are two patches/ pull requests in upstream for fixing the issue [1] [2].

[1] https://github.com/projectatomic/adb-utils/pull/150
[2] https://github.com/projectatomic/adb-vagrant-registration/pull/88
Comment 15 Lalatendu Mohanty 2016-07-22 07:30:48 EDT
All the above PRs has been merged. However we are seeing one issue with libvirt provider [1]. But it seems it might be issue with the test setup and we are looking in to it. The fix should be available as part of CDK 2.2. 

[1] https://github.com/projectatomic/adb-utils/issues/159
Comment 17 Lalatendu Mohanty 2016-07-26 07:15:14 EDT
We have released the vagrant-registration plugin with fix in upstream i.e. https://rubygems.org/gems/vagrant-registration/versions/1.2.3

Note You need to log in before you can comment on or make changes to this bug.